Researcher Pithgon:
It's a device developed by the ancients to move quickly within the tower. You can move instantly to another level of this tower using this, but, you need a Dimensional Stone in order to activate the machine. If you wish to go to the Middle Level, you'll need a Blue Dimensional Stone. If you wish to go to the Upper Level, you'll need a corresponding Green Dimensional Stone.
The problem is that it's really difficult to get them, especially the Red Dimensional Stone - Platinum Tribes and angels have them. Maybe the steps would be a better option for you?
Return